no implicit conversion of Sass::Importers::Filesystem into String

compass rails rails 5
rails compass gem
rails compass rails

I am updating my Ruby on Rails application from 4.0.1 to rails version: 5.2.3 and ruby version 2.6.5. After installing bundle, server is running properly. However, When I open page in browser, I am getting following error:

no implicit conversion of Sass::Importers::Filesystem into String

My Gemfile & Gemfile.lock are attached bellow. Any help will be appreciated. Thanks.

Gemfile
source 'https://rubygems.org'
git_source(:github) { |repo| "https://github.com/#{repo}.git" }

ruby '2.6.5'

# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.2.3'
# Use postgresql as the database for Active Record
gem 'pg', '>= 0.18', '< 2.0'
# Use Puma as the app server
gem 'puma', '~> 3.11'
# Use SCSS for stylesheets
gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
gem 'uglifier', '>= 1.3.0'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'mini_racer', platforms: :ruby

# Use CoffeeScript for .coffee assets and views
gem 'coffee-rails', '~> 4.2'
# Turbolinks makes navigating your web application faster. Read more: https://github.com/turbolinks/turbolinks
gem 'turbolinks', '~> 5'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
# Use Redis adapter to run Action Cable in production
# gem 'redis', '~> 4.0'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use ActiveStorage variant
gem 'mini_magick', '~> 4.8'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

# Reduces boot times through caching; required in config/boot.rb
gem 'bootsnap', '>= 1.1.0', require: false

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
end

group :development do
  # Access an interactive console on exception pages or by calling 'console' anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

# solution: http://stackoverflow.com/questions/7829886/in-require-no-such-file-to-load-iconv-loaderror
gem 'iconv' # version 1.0.4 was installed by `bundle` so I fixed it to avoid future problems

gem 'delayed_job'
gem 'delayed_job_active_record'
gem 'carrierwave'
gem 'fog-aws'
gem 'mongoid'
gem 'httparty'
gem 'mongo'
gem 'bson'
gem 'bson_ext'
gem 'will_paginate'
gem 'will_paginate_mongoid'

# controllers and views
gem 'inherited_resources'
gem 'haml-rails'
gem 'htmlentities'
gem 'kaminari'
gem 'kaminari-mongoid'

# wickedWizard
gem 'wicked'#, '1.3.0'

# https://github.com/Shopify/dashing/issues/195
# Coffee Scripts were not compiling somehow without downgrading to "1.4.0"-- Phew- A long awaited issue.
gem 'execjs'
gem "therubyracer", :platforms => :ruby
#gem 'compass-rails'
gem 'compass-rails', github: 'Compass/compass-rails'
gem 'compass-blueprint' # http://compass-style.org/blog/2012/05/20/removing-blueprint/
gem 'backbone-rails'
gem 'fancy-buttons', require: false
gem 'eco'
gem 'pdfkit'
gem 'wicked_pdf', "1.1.0" # Downgrade & lock wicked_pdf gem to 1.1.0 until v2 release (https://github.com/mileszs/wicked_pdf/issues/827#issuecomment-500563629)
gem 'wkhtmltopdf-binary'
gem 'activeadmin'

# todo: to look alternate of meta_search if it's used in application
# removed meta_search to fix form_for issue with object:
# https://stackoverflow.com/questions/16278247/form-for-wrong-number-of-arguments-in-rails-4/25664460#25664460
#gem "meta_search" 

gem "formtastic"

# auth
gem 'devise'
gem 'omniauth'
gem 'cancan'

# services / support
gem 'aws-sdk-s3', '~> 1' # in favour of gem "aws-s3"
gem 'papercavalier-ruby-aaws', require: 'amazon/aws', git: 'git://github.com/xlymian/ruby-aaws.git', ref: '40af30'
gem 'exception_notification', "2.5.2", require: 'exception_notifier'
group :production, :staging do
  gem 'newrelic_rpm', "~> 3.15.2"
end

gem 'oink'

gem "memcachier"
gem 'dalli'

# Preview Email
gem "letter_opener", :group => :development

# gem 'quiet_assets', :group => :development
gem 'utf8-cleaner'

gem "activerecord-import"

gem 'rack-ssl-enforcer', group: [:production]
# gem 'simple_xlsx_writer', '~> 0.5.3'
gem 'xlsx_writer', '~> 0.4.4'
gem 'write_xlsx'
gem 'rubyzip'
gem 'roo'

gem 'active_admin_editor', github: 'ejholmes/active_admin_editor'
gem 'ckeditor'
gem 'rails_12factor', group: [:production]

gem 'route_downcaser'
gem "http"

gem "recaptcha", '~> 0.4.0'

gem "figaro" # allows to add environment variables, use config/application.yml to load env vars.
# moved vendor/plugins to gems
gem 'dynamic_form'#, '~> 1.0'
gem 'prefinery'#, '~> 0.2.1'

# deprecation gems
# gem 'protected_attributes'
gem 'oauth'

Gemfile.lock
GIT
  remote: git://github.com/xlymian/ruby-aaws.git
  revision: 40af30c991e5c6962b8541b24022139f373c80b1
  ref: 40af30
  specs:
    papercavalier-ruby-aaws (0.8.1)

GIT
  remote: https://github.com/Compass/compass-rails.git
  revision: be1f7516a8e781bedc6bd3cc34d5395c7c72b3f3
  specs:
    compass-rails (3.1.0)
      compass (~> 1.0.0)
      sass-rails (< 5.1)
      sprockets (< 4.0)

GIT
  remote: https://github.com/ejholmes/active_admin_editor.git
  revision: 86f964be3071cd938c3cd17ad00df94ece3a50c0
  specs:
    active_admin_editor (1.1.0)
      activeadmin (>= 0.4.0)
      ejs
      rails (>= 3.0.0)

GEM
  remote: https://rubygems.org/
  specs:
    actioncable (5.2.3)
      actionpack (= 5.2.3)
      nio4r (~> 2.0)
      websocket-driver (>= 0.6.1)
    actionmailer (5.2.3)
      actionpack (= 5.2.3)
      actionview (= 5.2.3)
      activejob (= 5.2.3)
      mail (~> 2.5, >= 2.5.4)
      rails-dom-testing (~> 2.0)
    actionpack (5.2.3)
      actionview (= 5.2.3)
      activesupport (= 5.2.3)
      rack (~> 2.0)
      rack-test (>= 0.6.3)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.2)
    actionview (5.2.3)
      activesupport (= 5.2.3)
      builder (~> 3.1)
      erubi (~> 1.4)
      rails-dom-testing (~> 2.0)
      rails-html-sanitizer (~> 1.0, >= 1.0.3)
    activeadmin (2.4.0)
      arbre (~> 1.2, >= 1.2.1)
      formtastic (~> 3.1)
      formtastic_i18n (~> 0.4)
      inherited_resources (~> 1.7)
      jquery-rails (~> 4.2)
      kaminari (~> 1.0, >= 1.0.1)
      railties (>= 5.0, < 6.1)
      ransack (~> 2.1, >= 2.1.1)
      sassc-rails (~> 2.1)
      sprockets (>= 3.0, < 4.1)
      sprockets-es6 (~> 0.9, >= 0.9.2)
    activejob (5.2.3)
      activesupport (= 5.2.3)
      globalid (>= 0.3.6)
    activemodel (5.2.3)
      activesupport (= 5.2.3)
    activemodel-serializers-xml (1.0.2)
      activemodel (> 5.x)
      activesupport (> 5.x)
      builder (~> 3.1)
    activerecord (5.2.3)
      activemodel (= 5.2.3)
      activesupport (= 5.2.3)
      arel (>= 9.0)
    activerecord-import (1.0.3)
      activerecord (>= 3.2)
    activeresource (5.1.0)
      activemodel (>= 5.0, < 7)
      activemodel-serializers-xml (~> 1.0)
      activesupport (>= 5.0, < 7)
    activestorage (5.2.3)
      actionpack (= 5.2.3)
      activerecord (= 5.2.3)
      marcel (~> 0.3.1)
    activesupport (5.2.3)
      concurrent-ruby (~> 1.0, >= 1.0.2)
      i18n (>= 0.7, < 2)
      minitest (~> 5.1)
      tzinfo (~> 1.1)
    addressable (2.7.0)
      public_suffix (>= 2.0.2, < 5.0)
    arbre (1.2.1)
      activesupport (>= 3.0.0)
    arel (9.0.0)
    aws-eventstream (1.0.3)
    aws-partitions (1.239.0)
    aws-sdk-core (3.77.0)
      aws-eventstream (~> 1.0, >= 1.0.2)
      aws-partitions (~> 1, >= 1.239.0)
      aws-sigv4 (~> 1.1)
      jmespath (~> 1.0)
    aws-sdk-kms (1.25.0)
      aws-sdk-core (~> 3, >= 3.71.0)
      aws-sigv4 (~> 1.1)
    aws-sdk-s3 (1.54.0)
      aws-sdk-core (~> 3, >= 3.77.0)
      aws-sdk-kms (~> 1)
      aws-sigv4 (~> 1.1)
    aws-sigv4 (1.1.0)
      aws-eventstream (~> 1.0, >= 1.0.2)
    babel-source (5.8.35)
    babel-transpiler (0.7.0)
      babel-source (>= 4.0, < 6)
      execjs (~> 2.0)
    backbone-rails (1.2.3)
      rails (>= 3.0.0)
    bcrypt (3.1.13)
    bindex (0.8.1)
    bootsnap (1.4.5)
      msgpack (~> 1.0)
    bson (4.6.0)
    bson_ext (1.5.1)
    builder (3.2.3)
    byebug (11.0.1)
    cancan (1.6.10)
    carrierwave (2.0.2)
      activemodel (>= 5.0.0)
      activesupport (>= 5.0.0)
      addressable (~> 2.6)
      image_processing (~> 1.1)
      mimemagic (>= 0.3.0)
      mini_mime (>= 0.1.3)
    chunky_png (1.3.11)
    ckeditor (5.0.0)
      orm_adapter (~> 0.5.0)
    coffee-rails (4.2.2)
      coffee-script (>= 2.2.0)
      railties (>= 4.0.0)
    coffee-script (2.4.1)
      coffee-script-source
      execjs
    coffee-script-source (1.12.2)
    compass (1.0.3)
      chunky_png (~> 1.2)
      compass-core (~> 1.0.2)
      compass-import-once (~> 1.0.5)
      rb-fsevent (>= 0.9.3)
      rb-inotify (>= 0.9)
      sass (>= 3.3.13, < 3.5)
    compass-blueprint (1.0.0)
      compass
    compass-core (1.0.3)
      multi_json (~> 1.0)
      sass (>= 3.3.0, < 3.5)
    compass-import-once (1.0.5)
      sass (>= 3.2, < 3.5)
    concurrent-ruby (1.1.5)
    crass (1.0.5)
    dalli (2.7.10)
    delayed_job (4.1.8)
      activesupport (>= 3.0, < 6.1)
    delayed_job_active_record (4.1.4)
      activerecord (>= 3.0, < 6.1)
      delayed_job (>= 3.0, < 5)
    devise (4.7.1)
      bcrypt (~> 3.0)
      orm_adapter (~> 0.1)
      railties (>= 4.1.0)
      responders
      warden (~> 1.2.3)
    domain_name (0.5.20190701)
      unf (>= 0.0.5, < 1.0.0)
    dynamic_form (1.1.4)
    eco (1.0.0)
      coffee-script
      eco-source
      execjs
    eco-source (1.1.0.rc.1)
    ejs (1.1.1)
    erubi (1.9.0)
    erubis (2.7.0)
    exception_notification (2.5.2)
      actionmailer (>= 3.0.4)
    excon (0.68.0)
    execjs (2.7.0)
    fancy-buttons (1.2.0)
      compass (>= 0.11)
    fast_xs (0.8.0)
    ffi (1.11.2)
    ffi-compiler (1.0.1)
      ffi (>= 1.0.0)
      rake
    figaro (1.1.1)
      thor (~> 0.14)
    fog-aws (3.5.2)
      fog-core (~> 2.1)
      fog-json (~> 1.1)
      fog-xml (~> 0.1)
      ipaddress (~> 0.8)
    fog-core (2.1.2)
      builder
      excon (~> 0.58)
      formatador (~> 0.2)
      mime-types
    fog-json (1.2.0)
      fog-core
      multi_json (~> 1.10)
    fog-xml (0.1.3)
      fog-core
      nokogiri (>= 1.5.11, < 2.0.0)
    formatador (0.2.5)
    formtastic (3.1.5)
      actionpack (>= 3.2.13)
    formtastic_i18n (0.6.0)
    globalid (0.4.2)
      activesupport (>= 4.2.0)
    haml (5.1.2)
      temple (>= 0.8.0)
      tilt
    haml-rails (2.0.1)
      actionpack (>= 5.1)
      activesupport (>= 5.1)
      haml (>= 4.0.6, < 6.0)
      html2haml (>= 1.0.1)
      railties (>= 5.1)
    has_scope (0.7.2)
      actionpack (>= 4.1)
      activesupport (>= 4.1)
    hashie (3.6.0)
    hodel_3000_compliant_logger (0.1.1)
    html2haml (2.2.0)
      erubis (~> 2.7.0)
      haml (>= 4.0, < 6)
      nokogiri (>= 1.6.0)
      ruby_parser (~> 3.5)
    htmlentities (4.3.4)
    http (4.2.0)
      addressable (~> 2.3)
      http-cookie (~> 1.0)
      http-form_data (~> 2.0)
      http-parser (~> 1.2.0)
    http-cookie (1.0.3)
      domain_name (~> 0.5)
    http-form_data (2.1.1)
    http-parser (1.2.1)
      ffi-compiler (>= 1.0, < 2.0)
    httparty (0.17.1)
      mime-types (~> 3.0)
      multi_xml (>= 0.5.2)
    i18n (1.7.0)
      concurrent-ruby (~> 1.0)
    iconv (1.0.8)
    image_processing (1.9.3)
      mini_magick (>= 4.9.5, < 5)
      ruby-vips (>= 2.0.13, < 3)
    inherited_resources (1.11.0)
      actionpack (>= 5.0, < 6.1)
      has_scope (~> 0.6)
      railties (>= 5.0, < 6.1)
      responders (>= 2, < 4)
    ipaddress (0.8.3)
    jbuilder (2.9.1)
      activesupport (>= 4.2.0)
    jmespath (1.4.0)
    jquery-rails (4.3.5)
      rails-dom-testing (>= 1, < 3)
      railties (>= 4.2.0)
      thor (>= 0.14, < 2.0)
    kaminari (1.1.1)
      activesupport (>= 4.1.0)
      kaminari-actionview (= 1.1.1)
      kaminari-activerecord (= 1.1.1)
      kaminari-core (= 1.1.1)
    kaminari-actionview (1.1.1)
      actionview
      kaminari-core (= 1.1.1)
    kaminari-activerecord (1.1.1)
      activerecord
      kaminari-core (= 1.1.1)
    kaminari-core (1.1.1)
    kaminari-mongoid (1.0.1)
      kaminari-core (~> 1.0)
      mongoid
    launchy (2.4.3)
      addressable (~> 2.3)
    letter_opener (1.7.0)
      launchy (~> 2.2)
    libv8 (3.16.14.19)
    listen (3.1.5)
      rb-fsevent (~> 0.9, >= 0.9.4)
      rb-inotify (~> 0.9, >= 0.9.7)
      ruby_dep (~> 1.2)
    loofah (2.3.1)
      crass (~> 1.0.2)
      nokogiri (>= 1.5.9)
    mail (2.7.1)
      mini_mime (>= 0.1.1)
    marcel (0.3.3)
      mimemagic (~> 0.3.2)
    memcachier (0.0.2)
    method_source (0.9.2)
    mime-types (3.3)
      mime-types-data (~> 3.2015)
    mime-types-data (3.2019.1009)
    mimemagic (0.3.3)
    mini_magick (4.9.5)
    mini_mime (1.0.2)
    mini_portile2 (2.4.0)
    minitest (5.13.0)
    mongo (2.11.0)
      bson (>= 4.6.0, < 5.0.0)
    mongoid (7.0.5)
      activemodel (>= 5.1, < 6.1)
      mongo (>= 2.5.1, < 3.0.0)
    msgpack (1.3.1)
    multi_json (1.14.1)
    multi_xml (0.6.0)
    murmurhash3 (0.1.6)
    newrelic_rpm (3.15.2.317)
    nio4r (2.5.2)
    nokogiri (1.10.5)
      mini_portile2 (~> 2.4.0)
    oauth (0.5.4)
    oink (0.10.1)
      activerecord
      hodel_3000_compliant_logger
    omniauth (1.9.0)
      hashie (>= 3.4.6, < 3.7.0)
      rack (>= 1.6.2, < 3)
    orm_adapter (0.5.0)
    pdfkit (0.8.4.1)
    pg (1.1.4)
    polyamorous (2.3.0)
      activerecord (>= 5.0)
    prefinery (0.2.1)
      activeresource (>= 3.1)
    public_suffix (4.0.1)
    puma (3.12.1)
    rack (2.0.7)
    rack-ssl-enforcer (0.2.9)
    rack-test (1.1.0)
      rack (>= 1.0, < 3)
    rails (5.2.3)
      actioncable (= 5.2.3)
      actionmailer (= 5.2.3)
      actionpack (= 5.2.3)
      actionview (= 5.2.3)
      activejob (= 5.2.3)
      activemodel (= 5.2.3)
      activerecord (= 5.2.3)
      activestorage (= 5.2.3)
      activesupport (= 5.2.3)
      bundler (>= 1.3.0)
      railties (= 5.2.3)
      sprockets-rails (>= 2.0.0)
    rails-dom-testing (2.0.3)
      activesupport (>= 4.2.0)
      nokogiri (>= 1.6)
    rails-html-sanitizer (1.3.0)
      loofah (~> 2.3)
    rails_12factor (0.0.3)
      rails_serve_static_assets
      rails_stdout_logging
    rails_serve_static_assets (0.0.5)
    rails_stdout_logging (0.0.5)
    railties (5.2.3)
      actionpack (= 5.2.3)
      activesupport (= 5.2.3)
      method_source
      rake (>= 0.8.7)
      thor (>= 0.19.0, < 2.0)
    rake (13.0.1)
    ransack (2.3.0)
      actionpack (>= 5.0)
      activerecord (>= 5.0)
      activesupport (>= 5.0)
      i18n
      polyamorous (= 2.3.0)
    rb-fsevent (0.10.3)
    rb-inotify (0.10.0)
      ffi (~> 1.0)
    recaptcha (0.4.0)
    ref (2.0.0)
    responders (3.0.0)
      actionpack (>= 5.0)
      railties (>= 5.0)
    roo (1.13.2)
      nokogiri
      rubyzip
      spreadsheet (> 0.6.4)
    route_downcaser (1.2.2)
      activesupport (>= 3.2)
    ruby-ole (1.2.12.2)
    ruby-vips (2.0.16)
      ffi (~> 1.9)
    ruby_dep (1.5.0)
    ruby_parser (3.14.1)
      sexp_processor (~> 4.9)
    rubyzip (2.0.0)
    sass (3.4.25)
    sass-rails (5.0.8)
      railties (>= 5.2.0)
      sass (~> 3.1)
      sprockets (>= 2.8, < 4.0)
      sprockets-rails (>= 2.0, < 4.0)
      tilt (>= 1.1, < 3)
    sassc (2.2.1)
      ffi (~> 1.9)
    sassc-rails (2.1.2)
      railties (>= 4.0.0)
      sassc (>= 2.0)
      sprockets (> 3.0)
      sprockets-rails
      tilt
    sexp_processor (4.13.0)
    spreadsheet (1.2.5)
      ruby-ole (>= 1.0)
    spring (2.1.0)
    spring-watcher-listen (2.0.1)
      listen (>= 2.7, < 4.0)
      spring (>= 1.2, < 3.0)
    sprockets (3.7.2)
      concurrent-ruby (~> 1.0)
      rack (> 1, < 3)
    sprockets-es6 (0.9.2)
      babel-source (>= 5.8.11)
      babel-transpiler
      sprockets (>= 3.0.0)
    sprockets-rails (3.2.1)
      actionpack (>= 4.0)
      activesupport (>= 4.0)
      sprockets (>= 3.0.0)
    temple (0.8.2)
    therubyracer (0.12.3)
      libv8 (~> 3.16.14.15)
      ref
    thor (0.20.3)
    thread_safe (0.3.6)
    tilt (2.0.10)
    turbolinks (5.2.1)
      turbolinks-source (~> 5.2)
    turbolinks-source (5.2.0)
    tzinfo (1.2.5)
      thread_safe (~> 0.1)
    uglifier (4.2.0)
      execjs (>= 0.3.0, < 3)
    unf (0.1.4)
      unf_ext
    unf_ext (0.0.7.6)
    unix_utils (0.0.15)
    utf8-cleaner (0.2.5)
      activesupport
    warden (1.2.8)
      rack (>= 2.0.6)
    web-console (3.7.0)
      actionview (>= 5.0)
      activemodel (>= 5.0)
      bindex (>= 0.4.0)
      railties (>= 5.0)
    websocket-driver (0.7.1)
      websocket-extensions (>= 0.1.0)
    websocket-extensions (0.1.4)
    wicked (1.3.4)
      railties (>= 3.0.7)
    wicked_pdf (1.1.0)
    will_paginate (3.2.1)
    will_paginate_mongoid (2.0.1)
      mongoid
      will_paginate (~> 3.0)
    wkhtmltopdf-binary (0.12.5)
    write_xlsx (0.85.7)
      rubyzip (>= 1.0.0)
      zip-zip
    xlsx_writer (0.4.4)
      activesupport
      fast_xs
      murmurhash3 (>= 0.1.4)
      unix_utils
    zip-zip (0.3)
      rubyzip (>= 1.0.0)

PLATFORMS
  ruby

DEPENDENCIES
  active_admin_editor!
  activeadmin
  activerecord-import
  aws-sdk-s3 (~> 1)
  backbone-rails
  bootsnap (>= 1.1.0)
  bson
  bson_ext
  byebug
  cancan
  carrierwave
  ckeditor
  coffee-rails (~> 4.2)
  compass-blueprint
  compass-rails!
  dalli
  delayed_job
  delayed_job_active_record
  devise
  dynamic_form
  eco
  exception_notification (= 2.5.2)
  execjs
  fancy-buttons
  figaro
  fog-aws
  formtastic
  haml-rails
  htmlentities
  http
  httparty
  iconv
  inherited_resources
  jbuilder (~> 2.5)
  kaminari
  kaminari-mongoid
  letter_opener
  listen (>= 3.0.5, < 3.2)
  memcachier
  mini_magick (~> 4.8)
  mongo
  mongoid
  newrelic_rpm (~> 3.15.2)
  oauth
  oink
  omniauth
  papercavalier-ruby-aaws!
  pdfkit
  pg (>= 0.18, < 2.0)
  prefinery
  puma (~> 3.11)
  rack-ssl-enforcer
  rails (~> 5.2.3)
  rails_12factor
  recaptcha (~> 0.4.0)
  roo
  route_downcaser
  rubyzip
  sass-rails (~> 5.0)
  spring
  spring-watcher-listen (~> 2.0.0)
  therubyracer
  turbolinks (~> 5)
  tzinfo-data
  uglifier (>= 1.3.0)
  utf8-cleaner
  web-console (>= 3.3.0)
  wicked
  wicked_pdf (= 1.1.0)
  will_paginate
  will_paginate_mongoid
  wkhtmltopdf-binary
  write_xlsx
  xlsx_writer (~> 0.4.4)

RUBY VERSION
   ruby 2.6.5p114

BUNDLED WITH
   1.17.3

Then trying to overwrite sass-rails with sassc-rails and it`ll work

no implicit conversion of Sass::Importers::Filesystem into String , Then trying to overwrite sass-rails with sassc-rails and it`ll work. no implicit conversion of Sass::Importers::Filesystem into String I solved this with specifing a version of saas-rails to specific one - in your case I think you need to define it as 'sass-rails', '~> 6.0.0.' in Gemfile.

Were you ever able to figure this out? Just came across this as well and this is the only result that comes up in a search.

Developers, On updating to rails 4.2.7.1 and sassc-rails 1.3 I'm getting this error: no implicit conversion of Sass::Importers::Filesystem into String. On all my� I'm new to ELK and trying to input 3rd party REST API to Logstash to feed data into it. I'm getting TypeError: no implicit conversion of nil into string. I'm using http_input_poller plugin to feed data.

I solved this with specifing a version of saas-rails to specific one - in your case I think you need to define it as 'sass-rails', '~> 6.0.0.' in Gemfile.

Issues filed for sass/sassc-rails, over 3 years rails 3 support? almost 4 years no implicit conversion of Sass:: Importers::Filesystem into String; almost 4 years Deprecation warnings; about 4 years� TypeError: no implicit conversion of Integer into String Ruby won’t let you add the calories variable to the rest of the output, because it’s an integer. We can’t just change it to a string by putting quotes around it, because, again, the calorie data might be coming from somewhere we don’t control.

Compass ERROR: no implicit conversion of Array into String, Compass ERROR: no implicit conversion of Array into String - css. I can confirm this works: class CSSImporter < Sass::Importers::Filesystem def extensions� Every Ruby class (with the exception of BasicObject) implements the to_s method to return itself as some type of string representation. But just because a class returns a string doesn’t mean it behaves like a string! Let’s look at an example: "" + 1 # TypeError: no implicit conversion of Fixnum into String Think about this:

File: SASS_CHANGELOG — Sass Documentation, Fixed a bug in sass-convert when recursively processing CSS files into Sass files which Non-string interpolation within string interpolation is now parsed correctly. Fix exception on Sass::Importers::Filesystem#eql? After upgrading to 2.2, you will see deprecation warnings if you have sass files that use implicit strings. In these cases, SQL Server tries to convert one data type to another during the query execution process. This data conversion process is referred to as Implicit Conversion because this type of conversion is made in behind of scenes by the SQL Server Query Optimizer and, as such, the process is abstracted from users.

【Type error】no implicit conversion of Sass::Importers::Filesystem , 【Type error】no implicit conversion of Sass::Importers::Filesystem into Stringに苦しむ. study. Twitter Facebook はて� This avoids the CONVERT_IMPLICIT warning, replacing it with an explicit CONVERT. However, in my testing with 50,000 rows in the table, this makes things much worse. In the explicit convert example, the execution plan performs a clustered index scan rather than a seek, and the subtree cost is much higher.

Comments
  • I have added it too. Still, the same issue exists